- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# cStackCleanupException Class Reference
[Internal classes]

`#include <cexception.h>`

Inheritance diagram for cStackCleanupException:

List of all members.

## Detailed Description

Used internally when deleting an activity() simple module.

Then, the coroutine running activity() is "asked" to throw a cStackCleanupException to achieve stack unwinding, a side effect of exceptions, in order to properly clean up activity()'s local variables.

## Public Member Functions
| cStackCleanupException ()

## Constructor & Destructor Documentation

cStackCleanupException::cStackCleanupException | ( |  | ) |

| Constructor.

The documentation for this class was generated from the following file:

- cexception.h